Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157517 - JTree.getSelectionModel().setSelectionMode throws exception
Summary: JTree.getSelectionModel().setSelectionMode throws exception
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-12 07:40 UTC by Pete Zaitcev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 21:39:31 UTC


Attachments (Terms of Use)
gtest1.java (deleted)
2005-05-12 07:43 UTC, Pete Zaitcev
no flags Details
Device.java (deleted)
2005-05-12 07:43 UTC, Pete Zaitcev
no flags Details

Description Pete Zaitcev 2005-05-12 07:40:00 UTC
And a strange exception at that... This is the code:

	try{
        	final JTree tree = new JTree(super_root);
        	tree.getSelectionModel().setSelectionMode
                	(TreeSelectionModel.SINGLE_TREE_SELECTION);
	} catch(Exception e) {
            System.err.println("Exception at start");
            System.err.println(e.getMessage());
	}

The code fails to print the name (e.getMessage() returns "null"):

[zaitcev@lembas gtest1]$ gcj -C gtest1.java
[zaitcev@lembas gtest1]$ gcj -C Device.java
[zaitcev@lembas gtest1]$ /usr/java/jdk1.5.0_01/bin/java gtest1
# (the above works just fine - posts empty window)
[zaitcev@lembas gtest1]$ gij gtest1
Exception at start
null

Versions:

gcc-java               4.0.0-4
java-1.4.2-gcj-compat  1.4.2.0-40jpp_14rh

Comment 1 Pete Zaitcev 2005-05-12 07:43:01 UTC
Created attachment 114282 [details]
gtest1.java

The test case. This needs one more file to operate (Device.java).

Comment 2 Pete Zaitcev 2005-05-12 07:43:36 UTC
Created attachment 114283 [details]
Device.java

Comment 3 Thomas Fitzsimmons 2005-11-10 21:38:18 UTC
Anthony, will you see if this bug is fixed in GNU Classpath HEAD?


Comment 4 Lillian Angel 2005-11-10 23:20:29 UTC
Works with Classpath+jamvm perfectly

$ jamvm gtest1
mark 5
mark 6


Comment 5 Thomas Fitzsimmons 2005-11-10 23:40:00 UTC
Great, I'll wait until the fixes make their way into Rawhide via libgcj before
closing this bug.


Comment 6 Pete Zaitcev 2005-11-11 01:02:17 UTC
So, what version of gcj is this? I can close the bug myself once it turns over.


Comment 7 Thomas Fitzsimmons 2005-11-11 03:18:13 UTC
I'm pretty sure it'll be in gcj 4.1 when that hits Rawhide.  At that point,
retest and close the bug if it's fixed.

Comment 8 Pete Zaitcev 2006-02-03 23:21:37 UTC
Confirmed fixed with gcc-java-4.1.0-0.12



Note You need to log in before you can comment on or make changes to this bug.